Loading...
Searching...
No Matches
BALL::PCMCavFreeEnergyProcessor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/PCMCavFreeEnergyProcessor.h>`

Inheritance diagram for BALL::PCMCavFreeEnergyProcessor:

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| PCMCavFreeEnergyProcessor ()
| PCMCavFreeEnergyProcessor (const PCMCavFreeEnergyProcessor &proc)
virtual | ~PCMCavFreeEnergyProcessor ()
Assignment
const PCMCavFreeEnergyProcessor & | operator= (const PCMCavFreeEnergyProcessor &proc)
virtual void | clear ()
Predicates
bool | operator== (const PCMCavFreeEnergyProcessor &proc) const
processor functions
virtual bool | finish ()
Public Member Functions inherited from BALL::EnergyProcessor
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
double | getEnergy () const
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Public Attributes

Options
Options | options

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
const AtomContainer * | fragment_
double | energy_
bool | valid_

## Detailed Description

Processor for the computation of the cavitation free energy. This processor is using the SPT theory approach implemented in the PCM model. It is based on Pierotti, Chem. Rev. 76(6):717–726, 1976 and the modification for non-spherical solutes by Huron/Claverie, J. Phys. Chem. 76(15):2123-2133, 1972.

  The energy value is returned in units of kJ/mol.

Definition at line 32 of file PCMCavFreeEnergyProcessor.h.

## Constructor & Destructor Documentation

## PCMCavFreeEnergyProcessor() [1/2]

BALL::PCMCavFreeEnergyProcessor::PCMCavFreeEnergyProcessor | ( |  | ) |

Default constructor

## PCMCavFreeEnergyProcessor() [2/2]

BALL::PCMCavFreeEnergyProcessor::PCMCavFreeEnergyProcessor | ( | const PCMCavFreeEnergyProcessor & | proc | ) |

Copy constructor

## ~PCMCavFreeEnergyProcessor()

virtual BALL::PCMCavFreeEnergyProcessor::~PCMCavFreeEnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::PCMCavFreeEnergyProcessor::clear | ( |  | ) |

virtual

Clear function

Reimplemented from BALL::EnergyProcessor.

## finish()

virtual bool BALL::PCMCavFreeEnergyProcessor::finish | ( |  | ) |

virtual

This is where the actual computation takes place.

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

const PCMCavFreeEnergyProcessor & BALL::PCMCavFreeEnergyProcessor::operator= | ( | const PCMCavFreeEnergyProcessor & | proc | ) |

Assignment operator

## operator==()

bool BALL::PCMCavFreeEnergyProcessor::operator== | ( | const PCMCavFreeEnergyProcessor & | proc | ) | const

Equality operator

## Member Data Documentation

## options

Options BALL::PCMCavFreeEnergyProcessor::options

Options for the calculation of the caviation free energy

Definition at line 163 of file PCMCavFreeEnergyProcessor.h.